Skip to content
Margin Call

Fund Base Data

Returns the fund reference data for the user associated with a margin-call alert record.

Request parameters

  • Required: aaid (securities account), risk_monitoring_log_id (risk-alert record ID)
  • See the field definitions for each field's format, allowed values, and business meaning.

Returns

On success, returns the user's fund reference data for the alert record. See the response definition for field meanings.

POSThttps://b-api.lbkrs.com/v1/risk_monitoring/fund_details

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

aaidstringrequired

A/C No.

Pass the internal numeric ID of the customer's securities account (aaid), not the securities account number account_no (such as H00000000) or the customer ID member_id. One customer can have multiple aaid values.

risk_monitoring_log_idstringrequired

Risk Monitoring Log ID

Responses

HTTP 200OK
Standard response envelopecodemessagedata
dataobjectdata structure
fund_detailsarray<object>

Fund detail list. May be an empty array.

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs